<script>
	$: tab = "Songs";
</script>
<div id="taskbarPane"></div>
<div id="playlistPane">
	<div id="playlist">
		<h3><svg style="width:24px;height:24px" viewBox="0 0 24 24"><path fill="currentColor" d="M15,6H3V8H15V6M15,10H3V12H15V10M3,16H11V14H3V16M17,6V14.18C16.69,14.07 16.35,14 16,14A3,3 0 0,0 13,17A3,3 0 0,0 16,20A3,3 0 0,0 19,17V8H22V6H17Z" /></svg>Playlist</h3>
	</div>
	<div id="itemBrowser">
		<div id="itemTabs">
			<button class="itemtab {tab=='Songs'?'active':''}" on:click={()=>tab="Songs"}>Songs</button>
			<button class="itemtab {tab=='Images'?'active':''}" on:click={()=>tab="Images"}>Images</button>
			<button class="itemtab {tab=='Videos'?'active':''}" on:click={()=>tab="Videos"}>Videos</button>
		</div>
		<div id="itemWrapper">
			<div id="Songs" class="{tab=='Songs'?'active':''} tabcontent">
				<ul>
					<li>Amazing Grace</li>
				</ul>
			</div>
			<div id="Images" class="{tab=='Images'?'active':''} tabcontent">
				<ul>
					<li>Random_still.jpg</li>
				</ul>
			</div>
			<div id="Videos" class="{tab=='Videos'?'active':''} tabcontent">
				<ul>
					<li>Ripple Waves Alive - Slow - HD 1080.mp4</li>
				</ul>
			</div>
		</div>
		<div id="itemSearchWrapper" role="search">
			<label for="itemSearch" aria-labelledby="searchTitle"><svg style="width:24px;height:24px" viewBox="0 0 24 24"><title id="searchTitle">Search</title><path fill="currentColor" d="M9.5,3A6.5,6.5 0 0,1 16,9.5C16,11.11 15.41,12.59 14.44,13.73L14.71,14H15.5L20.5,19L19,20.5L14,15.5V14.71L13.73,14.44C12.59,15.41 11.11,16 9.5,16A6.5,6.5 0 0,1 3,9.5A6.5,6.5 0 0,1 9.5,3M9.5,5C7,5 5,7 5,9.5C5,12 7,14 9.5,14C12,14 14,12 14,9.5C14,7 12,5 9.5,5Z" /></svg></label>
			<input id="itemSearch" type="search" spellcheck="false" autocomplete="false" placeholder="Search..." aria-label="Search through the songs, images or videos">
		</div>
	</div>
</div>
<div id="itemPane"></div>
<div id="previewPane">
	<div id="previewCrowd">
		<h3><svg style="width:24px;height:24px" viewBox="0 0 24 24"><path fill="currentColor" d="M3.69 9.12C3.5 8.93 3.29 8.84 3.04 8.84C2.63 8.84 2.32 9.03 2.12 9.42S1.97 10.18 2.29 10.53C3.47 11.59 4.22 12.34 4.54 12.78C4.95 13.34 5.15 14.16 5.15 15.22C5.15 16.53 5.65 17.5 6.65 18.17C7.21 18.61 7.82 18.94 8.5 19.16L8.5 15.27C8.5 14.33 8.17 13.55 7.54 12.92M16.46 12.97C15.84 13.59 15.5 14.36 15.5 15.27L15.5 19.2C16.46 18.86 17.26 18.33 17.92 17.63C18.57 16.93 18.9 16.16 18.9 15.22C18.9 14.09 19.09 13.28 19.47 12.78C19.56 12.62 19.73 12.42 20 12.17C20.23 11.92 20.47 11.68 20.71 11.46C20.94 11.25 21.17 11.03 21.39 10.81L21.72 10.53C21.91 10.34 22 10.12 22 9.87C22 9.59 21.91 9.34 21.72 9.14C21.53 8.94 21.3 8.84 21 8.84S20.5 8.93 20.31 9.12M12 20C12.69 20 13.36 19.91 14 19.72L14 16.15C14 15.56 13.82 15.1 13.41 14.66C13 14.22 12.53 14 12 14C11.47 14 11 14.2 10.62 14.61C10.22 15 10 15.46 10 16.06L10 19.72C10.64 19.91 11.31 20 12 20M9 8.5C9 9.33 8.33 10 7.5 10S6 9.33 6 8.5 6.67 7 7.5 7 9 7.67 9 8.5M18 8.5C18 9.33 17.33 10 16.5 10C15.67 10 15 9.33 15 8.5S15.67 7 16.5 7C17.33 7 18 7.67 18 8.5M13.5 5.5C13.5 6.33 12.83 7 12 7S10.5 6.33 10.5 5.5 11.17 4 12 4 13.5 4.67 13.5 5.5M13.5 11C13.5 11.83 12.83 12.5 12 12.5S10.5 11.83 10.5 11 11.17 9.5 12 9.5 13.5 10.17 13.5 11Z" /></svg>Crowd View</h3>
		<div class="previewWin" id="previewCrowdWin"></div>
	</div>
	<div id="previewStage">
		<h3><svg style="width:24px;height:24px" viewBox="0 0 24 24"><path fill="currentColor" d="M21,17H3V5H21M21,3H3A2,2 0 0,0 1,5V17A2,2 0 0,0 3,19H8V21H16V19H21A2,2 0 0,0 23,17V5A2,2 0 0,0 21,3Z" /></svg>Stage View</h3>
		<div class="previewWin" id="previewStageWin"></div>
	</div>
</div>

<style>
	* {
		box-sizing: border-box;
		user-select: none;
	}
	:global(body, html) {
		margin: 0;
		padding: 0;
		overflow: hidden;
		font-size: calc((2vw + 2vh) / 2);
	}
	:global(body) {
		display: flex;
		flex-direction: row;
		align-items: stretch;
		flex-wrap: wrap;
	}
	:global(body) > div:not(:first-child) {
		max-height: calc(100vh - 48px);
		height: 100%;
	}
	#taskbarPane {
		width: 100vw;
		height: 48px;
		border-bottom: 2px solid gray;
	}
	#playlistPane {
		max-width: 20vw;
		width: 100%;
	}
	#playlist {
		height: 50%;
		width: 100%;
		border-bottom: 2px solid gray;
	}
	h3 {
		padding: 0.25em;
    height: 24px;
    line-height: 1;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
	}
	#itemBrowser {
		height: 50%;
		width: 100%;
		position: relative;
	}
	#itemPane {
		max-width: 50vw;
		width: 100%;
		border-left: 2px solid gray;
	}
	#previewPane {
		max-width: 30vw;
		width: 100%;
		display: flex;
		align-items: center;
		justify-content: space-evenly;
		flex-direction: column;
		border-left: 2px solid gray;
	}
	#previewPane > div {
		width: 95%;
	}
	.previewWin {
		max-width: 100%;
		aspect-ratio: 16 / 9;
		background: #000;
	}

	/* Style the tab */
	#itemTabs {
		overflow: hidden;
		border: 1px solid #ccc;
		background-color: #f1f1f1;
		display: flex;
		justify-content: space-evenly;
		height: 48px;
		position: sticky;
		top: 0;
		left: 0;
		width: 100%;
	}

	/* Style the buttons inside the tab */
	#itemTabs button {
		background-color: inherit;
		float: left;
		border: none;
		outline: none;
		cursor: pointer;
		padding: 0;
		margin: 0;
		transition: 0.3s;
		border-bottom: 1px dashed #0000;
		border-radius: 0;
	}

	/* Change background color of buttons on hover */
	#itemTabs button:hover {
		border-bottom: 1px dashed #000;
	}

	/* Create an active/current tablink class */
	#itemTabs :global(button.active) {
		border-bottom: 1px solid #000;
	}

	#itemWrapper {
		overflow-y: scroll;
		height: calc(100% - 72px);
	}
	/* Style the tab content */
	.tabcontent {
		display: none;
		min-height: 100%;
		padding: 0;
		margin: 0;
	}
	.tabcontent.active {
		display: block;
	}
	.tabcontent ul {
		padding: 0;
		margin: 0;
		padding-top: 0.25em;
		padding-left: 0.25em;
	}
	.tabcontent li {
		margin-bottom: 0.5em;
	}
	#itemSearchWrapper {
		display: flex;
    flex-direction: row;
		align-items: center;
	}
	#itemSearchWrapper label {
		height: 24px;
		width: 24px;
	}
	#itemSearch {
		width: 100%;
		height: 24px;
	}
</style>
